#include <stdio.h>
#include <stdlib.h>
int main()
{


int i, j=0, n,k;
scanf("%d %d", &n, &k);
int niz[n];
int resenja[n];

    for(i=0;i<n;i++)
    scanf("%d",&niz[i]);
int prresenje = niz[0];
i=0;
    while(j<k-1)
        {
        if (niz[i] > niz[n-1])
            {
                niz[i] -= niz[n-1];
                prresenje = niz[i];
                n--;
                j++;
                ///N SE BRISE

            }
        else
        {
            ///I SE BRISE
            niz[n-1] = niz[n-1]-niz[i];
            prresenje = niz[n-1];
            i++;
            j++;
        }
        }
printf("%d", prresenje);
return 0;
}